jolly has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42826?usp=email )
Change subject: NGAP: UESecurityCapabilities is optional in PathSwitchRequestAcknowledge
......................................................................
NGAP: UESecurityCapabilities is optional in PathSwitchRequestAcknowledge
Current master branch of Open5GS includes UESecurityCapabilities IE
in PathSwitchRequestAcknowledge, older versions do not. In order to
match message of all versions, replace the IE by an an asterisk.
Change-Id: I4849709d2601505d9aa3ea6c85b718ec65540dff
---
M library/ngap/NGAP_Templates.ttcn
1 file changed, 1 insertion(+), 5 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/26/42826/1
diff --git a/library/ngap/NGAP_Templates.ttcn b/library/ngap/NGAP_Templates.ttcn
index ac351b0..3fb0b6d 100644
--- a/library/ngap/NGAP_Templates.ttcn
+++ b/library/ngap/NGAP_Templates.ttcn
@@ -5078,11 +5078,7 @@
criticality := ignore,
value_ := { RAN_UE_NGAP_ID := p_ranUeNgapID }
},
- {
- id := id_UESecurityCapabilities,
- criticality := reject,
- value_ := { UESecurityCapabilities := p_uESecurityCapabilities }
- },
+ *,
{
id := id_SecurityContext,
criticality := reject,
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42826?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I4849709d2601505d9aa3ea6c85b718ec65540dff
Gerrit-Change-Number: 42826
Gerrit-PatchSet: 1
Gerrit-Owner: jolly <andreas(a)eversberg.eu>
laforge has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ci/+/42820?usp=email )
Change subject: coverity/jenkins: check if upload was successful
......................................................................
coverity/jenkins: check if upload was successful
When the server returns an error, the curl command does not fail -
probably because the server sends a wrong http status code:
curl \
--form token="$token" \
--form email=holger(a)freyther.de --form file=(a)Osmocom.tgz \
--form version=Version --form description=AutoUpload \
https://scan.coverity.com/builds?project=Osmocom
+ set +x
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
…
<html>
<head><title>413 Request Entity Too Large</title></head>
<body>
<center><h1>413 Request Entity Too Large</h1></center>
<hr><center>nginx/1.19.10</center>
</body>
</html>
Finished: SUCCESS
Fail if the output doesn't contain the "Build successfully submitted"
string, so the job fails if there was an error.
(The request entity too large error is probably an error on their end,
scan.coverity.com still says they are performing upgrades on their
servers.)
Change-Id: Ie63a33dfa7648b38f1f01cb8c87db76949f69e10
---
M coverity/jenkins.sh
1 file changed, 8 insertions(+), 1 deletion(-)
Approvals:
Jenkins Builder: Verified
fixeria: Looks good to me, but someone else must approve
daniel: Looks good to me, approved
laforge: Looks good to me, but someone else must approve
diff --git a/coverity/jenkins.sh b/coverity/jenkins.sh
index d19b93c..ca02f5f 100755
--- a/coverity/jenkins.sh
+++ b/coverity/jenkins.sh
@@ -40,4 +40,11 @@
exit 1
fi
-eval "$curl_cmd"
+eval "$curl_cmd" | tee output.html
+
+if ! grep -q "Build successfully submitted" output.html; then
+ set +x
+ echo
+ echo "ERROR: coverity upload has failed!"
+ exit 1
+fi
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/42820?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: Ie63a33dfa7648b38f1f01cb8c87db76949f69e10
Gerrit-Change-Number: 42820
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: lynxis lazus <lynxis(a)fe80.eu>
Attention is currently required from: laforge, lynxis lazus.
pespin has posted comments on this change by lynxis lazus. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42825?usp=email )
Change subject: stp: for TCAP loadshare: use NI == national
......................................................................
Patch Set 1:
(1 comment)
Patchset:
PS1:
AFAIR we should be using International in general, why changing it to national?
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42825?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I51ef302ad72ff3c434fddb39006ce50106a5918f
Gerrit-Change-Number: 42825
Gerrit-PatchSet: 1
Gerrit-Owner: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Tue, 09 Jun 2026 16:56:49 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Attention is currently required from: lynxis lazus.
pespin has posted comments on this change by lynxis lazus. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42824?usp=email )
Change subject: stp: tcap-loadshare: add TC_tcap_loadshare_m3ua_to_ipa_udts
......................................................................
Patch Set 1: Code-Review+1
(1 comment)
File stp/STP_Tests_TCAP.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42824/comment/ab7d1c16_7108… :
PS1, Line 844: testcase TC_tcap_loadshare_m3ua_to_ipa_udts() runs on TCAP_CT {
Can you please add a descritpion for the test here, like you did in the commit description? Otherwise it's time consuming trying to figure out what a test is exactly testing when was written.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42824?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I181b25aedfd70d156c08197d361560b6d055e65a
Gerrit-Change-Number: 42824
Gerrit-PatchSet: 1
Gerrit-Owner: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Tue, 09 Jun 2026 16:56:03 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes